<?php

namespace Truonglv\StickyTimer;

use XF\Db\Schema\Create;
use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\AddOn\StepRunnerUninstallTrait;

class Setup extends AbstractSetup
{
    use StepRunnerInstallTrait;
    use StepRunnerUpgradeTrait;
    use StepRunnerUninstallTrait;

    public function installStep1()
    {
        $sm = $this->schemaManager();
        $sm->createTable('xf_tl_thread_sticky_timer', function (Create $table) {
            $table->addColumn('thread_id', 'int')->unsigned()->primaryKey();
            $table->addColumn('expire_date', 'int')->unsigned()->setDefault(0);
        });
    }

    public function uninstallStep1()
    {
        $sm = $this->schemaManager();
        $sm->dropTable('xf_tl_thread_sticky_timer');
    }
}
